- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Properties

# QStackedLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qstackedlayout.h.

`#include <qstackedlayout.h>`

Inheritance diagram for QStackedLayout:
[legend]

List of all members.

## Public Types
enum | StackingMode { StackOne, StackAll }
## Public Slots
void | setCurrentIndex (int index)
void | setCurrentWidget (QWidget *w)
## Signals
void | widgetRemoved (int index)
void | currentChanged (int index)
## Public Member Functions
| QStackedLayout ()
| QStackedLayout (QWidget *parent)
| QStackedLayout (QLayout *parentLayout)
| ~QStackedLayout ()
int | addWidget (QWidget *w)
int | insertWidget (int index, QWidget *w)
QWidget * | currentWidget () const
int | currentIndex () const
QWidget * | widget (int) const
int | count () const
StackingMode | stackingMode () const
void | setStackingMode (StackingMode stackingMode)
void | addItem (QLayoutItem *item)
QSize | sizeHint () const
QSize | minimumSize () const
QLayoutItem * | itemAt (int) const
QLayoutItem * | takeAt (int)
void | setGeometry (const QRect &rect)
## Properties
int | currentIndex
StackingMode | stackingMode

## Member Enumeration Documentation

enum StackingMode

Search for all occurrences

Enumerator:

  StackOne | Search for all occurrences
  StackAll | Search for all occurrences

Definition at line 65 of file qstackedlayout.h.

                          {
            StackOne,
            StackAll
        };

## Constructor & Destructor Documentation

QStackedLayout | ( |  | ) |

QStackedLayout | ( | QWidget * | parent | ) | `[explicit]`

QStackedLayout | ( | QLayout * | parentLayout | ) | `[explicit]`

~QStackedLayout | ( |  | ) |

## Member Function Documentation

int addWidget | ( | QWidget * | w | ) |

Search for all occurrences

Reimplemented from QLayout.

int insertWidget | ( | int | index,
|  | QWidget * | w
| ) |  |

Search for all occurrences

QWidget* currentWidget | ( |  | ) | const

Search for all occurrences

int currentIndex | ( |  | ) | const

Search for all occurrences

QWidget* widget | ( | int |  | ) | const

Search for all occurrences

int count | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayout.

StackingMode stackingMode | ( |  | ) | const

Search for all occurrences

void setStackingMode | ( | StackingMode | stackingMode | ) |

Search for all occurrences

void addItem | ( | QLayoutItem * | item | ) | `[virtual]`

Search for all occurrences

Implements QLayout.

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

QSize minimumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

QLayoutItem* itemAt | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayout.

QLayoutItem* takeAt | ( | int |  | ) | `[virtual]`

Search for all occurrences

Implements QLayout.

void setGeometry | ( | const QRect & | rect | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

void widgetRemoved | ( | int | index | ) | `[signal]`

Search for all occurrences

void currentChanged | ( | int | index | ) | `[signal]`

Search for all occurrences

void setCurrentIndex | ( | int | index | ) | `[slot]`

Search for all occurrences

void setCurrentWidget | ( | QWidget * | w | ) | `[slot]`

Search for all occurrences

## Property Documentation

int currentIndex `[read, write]`

Search for all occurrences

Definition at line 60 of file qstackedlayout.h.

StackingMode stackingMode `[read, write]`

Search for all occurrences

Definition at line 61 of file qstackedlayout.h.

The documentation for this class was generated from the following file:

- QtGui/qstackedlayout.h

QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout
QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout QStackedLayout